The mbed tools were not found in " ....."

13 May 2018

I recently updated mbed-cli and it shows me the message "warning The mbed tools were not found in .." in the command line, and it does not let me execute any command (nor mbed compile, nor mbed target, nor anything of it) and when I apply a mbed deploy it shows me the following

$ mbed deploy

[mbed] Updating library "Workspace/mbed_blinky" to rev #7c9e1ce926ec (tag: tip)

[mbed] Updating library "Workspace/mbed_blinky/mbed" to rev #aa5281ff4a02

[mbed] Updating library "Workspace/mbed_blinky/mbed/mbed-os" to rev #2104d8ab5b6b

[mbed] WARNING: Cannot find the mbed tools directory in " ...."

mbed detect

[mbed] WARNING: The mbed tools were not found in " ..".

[mbed] WARNING: Limited information will be shown about connected mbed targets/boards

$ mbed compile

[mbed] ERROR: The mbed tools were not found in "../mbed-cli".

[mbed] ERROR: Run `mbed deploy` to install dependencies and tools.

and when I was working with the previous version I did not have this problem, and searching on internet i found that this problem can solve using mbed deploy, but i did and this no work, so i don't know if this is a bug in the new version.

19 Dec 2018

excuse me , could you please tell me how to fix this? I have the same problem.

19 Jan 2019

I have the same problem. I avoid the problem by importing the mbed_blinky example. For some reason it installs the missing tools there. Then you can just start from there.

10 Mar 2019

I have the same problem.

11 Mar 2019

Hi Li,

Can you describe what mbed commands you have exercised and what folders are in the folder where you have exercised the command? Usually executing mbed new . should resolve any issues you have.

Regards,

Ralph, Team Mbed

You need to log in to post a reply